#!/usr/bin/env ruby
# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

$LOAD_PATH.unshift("../../compat") unless $LOAD_PATH.include?("../../compat")
$LOAD_PATH << "../../lib" unless $LOAD_PATH.include?("../../lib")
require "qwik/util-string"
require "qwik/test-module-bench"
include BenchmarkTest

def main
  n = 10000
  benchmark {
    n.times {
      t = "t".md5hex
    }
  }
end
main
